Bug 200207 - OOo crashes for clicking '↑' '↓' buttons in Customize Toolbars dialog
OOo crashes for clicking '↑' '↓' buttons in Customize Toolbars dialog
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
: Desktop
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-26 03:25 EDT by Xiaohong Wang
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.0.3-7.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-27 05:51:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (61.92 KB, image/png)
2006-07-26 03:25 EDT, Xiaohong Wang
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 67779 None None None Never

  None (edit)
Description Xiaohong Wang 2006-07-26 03:25:01 EDT
Description of problem:


Version-Release number of selected component (if applicable):
openoffice.org-2.0.3-7.5

How reproducible:
always

Steps to Reproduce:
1. Create a new doc by clicking File -> New -> Text Document
2. Go to Tools -> Bibliography Database
3. In Bibliography Database dialog select View -> Toolbars -> Customize -> click
'Toolbars' tab
4. Click '↑' '↓' buttons in the dialog

  
Actual results:
An error dialog pops up, 'OOo has crashed!: Paste this text into your bugreport'
(I) x.org loaded video driver of...
(II) Loading /usr/lib/xorg/modules/drivers/vesa_drv.so
(III) Desktop is: GNOME
(IV) libgcj version is: libgcj-4.1.1-6-i386
(V) kernel is: Linux 2.6.17-1.2358.fc6 #1 SMP Fri Jul 7 04:02:07 EDT 2006 i686
i686 i386
(VI) OpenOffice.org core rpm version is: openoffice.org-core-2.0.3-7.5-i386
(VII) accessibility is: false
(VIII) fedora release is: Fedora Core release 5.90 (Test)
...start sestatus details ...
SELinux status:                 disabled
...end sestatus details ...
0x6abc780: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e780
0x6abcfc0: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1efc0
0xb7f55420:  + 0x420 (__kernel_sigreturn + 0x0)
0x3fc5ad0: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x654ad0
(ToolbarSaveInData::ApplyToolbar(SvxConfigEntry*) + 0xac)
0x3fc5da4: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x654da4
(SvxToolbarConfigPage::MoveEntry(bool) + 0x34)
0x3fbd6b1: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x64c6b1
(SvxToolbarConfigPage::MoveHdl(Button*) + 0x1f)
0x3fbd6d0: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x64c6d0
(SvxToolbarConfigPage::LinkStubMoveHdl(void*, void*) + 0x1a)
0xa86632: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x3a632
(Link::Call(void*) const + 0x16)
0x62d3a2: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x2c83a2
(Control::ImplCallEventListenersAndHandler(unsigned long, Link const&, void*) +
0x48)
0x62330d: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x2be30d
(Button::Click() + 0x25)
0x62abdd: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x2c5bdd
(PushButton::Tracking(TrackingEvent const&) + 0x143)
0x620783: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x2bb783
(Window::EndTracking(unsigned short) + 0x117)
0x61d198: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x2b8198
(ImplHandleMouseEvent(Window*, unsigned short, unsigned char, long, long,
unsigned long, unsigned short, unsigned short) + 0xe98)
0x61ea65: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x2b9a65
(ImplHandleSalMouseButtonUp(Window*, SalMouseEvent*) + 0x41)
0x61d6eb: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x2b86eb
(ImplWindowFrameProc(void*, SalFrame*, unsigned short, void const*) + 0x141)
0x2fbcdc4: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x44dc4
(SalFrame::CallCallback(unsigned short, void const*) const + 0x20)
0x2fba5df: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x425df
(GtkSalFrame::signalButton(_GtkWidget*, _GdkEventButton*, void*) + 0x173)
0x2849380: /usr/lib/libgtk-x11-2.0.so.0 + 0x131380
0x2b44fab: /lib/libgobject-2.0.so.0 + 0x8fab (g_closure_invoke + 0x12b)
0x2b55e73: /lib/libgobject-2.0.so.0 + 0x19e73
0x2b57137: /lib/libgobject-2.0.so.0 + 0x1b137 (g_signal_emit_valist + 0x667)
0x2b57529: /lib/libgobject-2.0.so.0 + 0x1b529 (g_signal_emit + 0x29)
0x295bc68: /usr/lib/libgtk-x11-2.0.so.0 + 0x243c68
0x2842823: /usr/lib/libgtk-x11-2.0.so.0 + 0x12a823 (gtk_propagate_event + 0x183)
0x2843a27: /usr/lib/libgtk-x11-2.0.so.0 + 0x12ba27 (gtk_main_do_event + 0x317)
0x2aeff7a: /usr/lib/libgdk-x11-2.0.so.0 + 0x41f7a
0x2ba6952: /lib/libglib-2.0.so.0 + 0x2b952 (g_main_context_dispatch + 0x182)
0x2ba992f: /lib/libglib-2.0.so.0 + 0x2e92f
0x2ba9e95: /lib/libglib-2.0.so.0 + 0x2ee95 (g_main_context_iteration + 0x65)
0x2f9f343: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x27343
(GtkXLib::Yield(unsigned char) + 0x4f)
0x30305a9: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x625a9
(X11SalInstance::Yield(unsigned char) + 0x27)
0x4cab9e: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x165b9e
(Application::Yield() + 0x48)
0x5c25cd: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x25d5cd
(Dialog::Execute() + 0x15d)
0x210b0a9: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x3350a9
(SfxTabDialog::Execute() + 0x33)
0x62f07ee: /usr/lib/openoffice.org2.0/program/libcui680li.so + 0x5b7ee
0x1f9575b: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1bf75b
(SfxApplication::MiscExec_Impl(SfxRequest&) + 0x599)
0x1f8b062: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1b5062
(SfxStubSfxApplicationMiscExec_Impl(SfxShell*, SfxRequest&) + 0x1a)
0x2098820: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x2c2820
(SfxShell::CallExec(void (*)(SfxShell*, SfxRequest&), SfxRequest&) + 0xc)
0x2097a52: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x2c1a52
(SfxDispatcher::Call_Impl(SfxShell&, SfxSlot const&, SfxRequest&, unsigned char)
+ 0x2e2)
0x2097d55: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x2c1d55
(SfxDispatcher::PostMsgHandler(SfxRequest*) + 0xb1)
0x2097e04: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x2c1e04
(SfxDispatcher::LinkStubPostMsgHandler(void*, void*) + 0x1a)
0xa86632: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x3a632
(Link::Call(void*) const + 0x16)
0x20b2269: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x2dc269
(GenLink::Call(void*) + 0x29)
0x20b203c: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x2dc03c
(SfxHintPoster::Event(SfxHint*) + 0x1e)
0x20b228c: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x2dc28c
(SfxHintPoster::DoEvent_Impl(SfxHint*) + 0x1c)
0x20b2018: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x2dc018
(SfxHintPoster::LinkStubDoEvent_Impl(void*, void*) + 0x1a)
0xa86632: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x3a632
(Link::Call(void*) const + 0x16)
0x61ddf5: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x2b8df5
(ImplWindowFrameProc(void*, SalFrame*, unsigned short, void const*) + 0x84b)
0x2fbcdc4: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x44dc4
(SalFrame::CallCallback(unsigned short, void const*) const + 0x20)
0x302db6c: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x5fb6c
(SalDisplay::DispatchInternalEvent() + 0x64)
0x2fa02b6: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x282b6
(GtkXLib::userEventFn(void*) + 0x88)
0x2ba4bf1: /lib/libglib-2.0.so.0 + 0x29bf1
0x2ba6952: /lib/libglib-2.0.so.0 + 0x2b952 (g_main_context_dispatch + 0x182)
0x2ba992f: /lib/libglib-2.0.so.0 + 0x2e92f
0x2ba9e95: /lib/libglib-2.0.so.0 + 0x2ee95 (g_main_context_iteration + 0x65)
0x2f9f343: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x27343
(GtkXLib::Yield(unsigned char) + 0x4f)
0x30305a9: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x625a9
(X11SalInstance::Yield(unsigned char) + 0x27)
0x4cab9e: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x165b9e
(Application::Yield() + 0x48)
0x4cac22: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x165c22
(Application::Execute() + 0x26)
0xa833e9: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x373e9
(desktop::Desktop::Main() + 0x15c1)
0x4cea8c: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x169a8c
(ImplSVMain() + 0x44)
0x4ceb3f: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x169b3f (SVMain()
+ 0x2b)
0xa7d159: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x31159 (sal_main +
0x5d)
0xa7d1a5: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x311a5 (main + 0x27)
0x247214: /lib/libc.so.6 + 0x19214 (__libc_start_main + 0xdc)
0x80484a1: /usr/lib/openoffice.org2.0/program/swriter.bin + 0x4a1


Expected results:


Additional info:
Comment 1 Xiaohong Wang 2006-07-26 03:25:02 EDT
Created attachment 133050 [details]
screenshot
Comment 2 Caolan McNamara 2006-07-26 04:58:42 EDT
I see it, fix checked in. will be in >= 2.0.3-7.7

Note You need to log in before you can comment on or make changes to this bug.